/*
 ============================================================================
 Name        : 05r02.c
 Author      : Coti
 Version     :
 Copyright   : Tests by Coti
 Description : Hello World in C, Ansi-style
 ============================================================================
 Se dispone de tres nmeros float llamados a, b y c. Se pide construir un
 programa que lea los tres nmeros del teclado y muestre en pantalla una
 tabla de tres filas por diez columnas. La primera columna tomar el
 valor del primer nmero elevado al cubo por el ndice de fila, con un
 formato de doce columnas y seis decimales (sin exponentes). La segunda
 columna ser el logaritmo natural del nmero por el ndice de fila, con
 tres decimales en diez columnas. La tercera columna ser el nmero por
 el ndice de fila, en formato exponencial y nueve columnas, ajustado a
 la izquierda.
 */

#include <stdio.h>
#include <stdlib.h>
#include <math.h>

#define NUMERO_DE_REPETICIONES 10

int main(void) {
	float a, b, c; /* Estos son los nmeros */
	int i; /* Este es el ndice de fila */

	printf("Escriba tres nmeros reales: ");
	fscanf(stdin, "%f %f %f", &a, &b, &c);
	/* Versin para aprobados */
	for (i = 0; i < NUMERO_DE_REPETICIONES; i++) {
		printf("|%12.6f|%10.3f|%-15e|\n", pow(a, 3) * i, i * log(b), i * 1.0);
	}
	return EXIT_SUCCESS;
}
/*
 * Mejora 1.- Enviar el resultado a disco sin modificar el programa.
 * Mejora 2.- Enviar el resultado a disco modificando el programa.
 */
