#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>

#define DIM_TABLERO 8

int main()
{
    char tablero[DIM_TABLERO][DIM_TABLERO];
    int fila, columna;
    int f_origen,c_origen;
    int f_destino,c_destino;
    char opcion;
    char menu[] ="a) Origen b) Destino q) Salir";
    /*
        Tablero en situacin inicial
    */
    strcpy(tablero[0],"BBBBBBBB");
    strcpy(tablero[1],"BBBBBBBB");
    strcpy(tablero[2],"        ");
    strcpy(tablero[3],"        ");
    strcpy(tablero[4],"        ");
    strcpy(tablero[5],"        ");
    strcpy(tablero[6],"NNNNNNNN");
    strcpy(tablero[7],"NNNNNNNN");
    do
    {
#ifdef __UNIX__
        system("clear");
#else
        system("cls");
#endif
        for (fila=0;fila<DIM_TABLERO;fila++)
        {
            printf("+---+---+---+---+---+---+---+---+\n");
            for (columna=0;columna<DIM_TABLERO;columna++)
                printf("| %c ",tablero[fila][columna]);
            printf("|\n");
        }
        printf("+---+---+---+---+---+---+---+---+\n");
        printf("%s ",menu);
        scanf("%c%*c",&opcion);
        opcion = toupper(opcion);
        switch (opcion)
        {
        case 'A':
            printf("Indique fila y columna de la ficha que mueve (blancas): ");
            scanf("%d %d%*c",&f_origen,&c_origen);
            break;
        case 'B':
            printf("Indique fila y columna de destino: ");
            scanf("%d %d%*c",&f_destino,&c_destino);
            tablero[f_origen][c_origen]=' ';
            tablero[f_destino][c_destino] = 'B';
            break;
        case 'Q':
            break;
        default:
            printf("\n\nOpcin incorrecta\7\n\n");
            break;
        }
    }
    while (opcion != 'Q');
    return 0;
}
/* Mejoras: convertir este programa en un juego razonable, aunque solo muestre
   las jugadas, sin intervencin del ordenador en el juego. El programa debe
   permitir mover a blancas y negras, y comprobar q las jugadas son vlidas
   (q hay una ficha en origen, que es del jugador, y que tienes sentido mover
   a ese destino). Idealmente, el programa debe "comer" automticamente, y tambin
   promover a dama la ficha q llega a la fila base del contrario.

*/
