#include <stdio.h>
/*
 Construir un programa que admita una matriz 3x3 y un vector de R3 y calcula
 el producto de la matriz por el vector. Sugerencia:
 si se llama f a la aplicacin definida por la matriz, utilizar un vector de Ker(f)
 para comprobar que en efecto el resultado de aplicar la matriz al vector es el vector 0.
 */
#include "auxiliares.h"

int main (int argc, const char * argv[]) {

	matriz_3x3 A;
	vector_3x1 v;
	vector_3x1 w;

	printf("\n\nProducto de una matriz por un vector.\n\n");
	/*
	 Lectura de datos - matriz
	 */
	printf("Escriba los coeficientes de la matriz:\n\n");
	leer_matriz(A);
	printf("\n\nLa matriz considerada es:\n\n");
	escribir_matriz(A);
	/*
	 Lectura de datos - Vector
	 */
	printf("\n\nEscriba el vector:\n\n");
	leer_vector(v);
	printf("\n\nEl vector considerado es: \n\n");
	escribir_vector(v);
	/*
	 Clculo A * v = w
	 */
	calcular(A,v,w);
	/*
	 Impresin de resultados
	*/
	printf("\n\nEl producto de la matriz por el vector es:\n\n");
	escribir_vector(w);
	printf("\n\nTerminacin normal del programa.\n\n");
	system("pause");
    return 0;
}

