#include <stdio.h>
#include <ctype.h>
/*
 Construir un programa que muestre las opciones necesarias para leer una lista de 10
 elementos de tipo int, calcular valores de interés, mostrar valores de interés y
 salir de programa. Los valores de interés de la lista son el máximo, el mínimo y
 el valor medio.
 */
#define NUM_ELEMENTOS 10

int main (int argc, const char * argv[]) {
    char menu[] = "\na) Leer b) Calcular c) Mostrar q) Salir";
	char opcion[64];
	int lista[NUM_ELEMENTOS];
	int max, min, ave=0;
	int i;
	do {
		printf("%s: ",menu);
		fgets(opcion, 64, stdin);
		switch (toupper(opcion[0])) {
			case 'A':
				printf("\nEscriba la lista:\n\n");
				for (i=0; i<NUM_ELEMENTOS; i++) {
					printf("Elemento nº %d: ",i);
					scanf("%d%*c",lista+i);
				}
				break;
			case 'B':
				ave = 0;
				max = min = lista[0];
				for (i=0; i<NUM_ELEMENTOS; i++) {
					if (min >= lista[i]) {
						min = lista[i];
					} else if (max<=lista[i]) {
						max=lista[i];
					}
					ave+=lista[i];
				}
				ave /= NUM_ELEMENTOS;
				printf("\n\nSe han efectuado los cálculos\n\n");
				break;
			case 'C':
				printf("\n\nmáximo: %d\nmínimo: %d\nmedia:  %d\n\n",max,min,ave);
				break;
			case 'Q':
				printf("\n\nSaliendo\n\n");
				break;
			default:
				printf("\n\nOpción incorrecta\n\n");
				break;
		}
	} while (toupper(opcion[0])!='Q');
    return 0;
}
