#include <stdio.h>
#include <ctype.h>
/*
 Construir un programa que muestre las opciones necesarias para leer dos matrices
 de dimensiones 2x2 (formadas por elementos de tipo float), calcular la suma de las
 matrices, calcular la resta de las matrices, mostrar la suma, mostrar la resta
 y salir de programa.
 */
#define DIMENSION 2

int main (int argc, const char * argv[]) {
    char menu[] = "\na) Leer b) Sumar y Restar c) Ver suma"
	" d) Ver resta q) Salir";
	char opcion[64];
	float A[DIMENSION][DIMENSION], B[DIMENSION][DIMENSION];// Datos
	float C[DIMENSION][DIMENSION], D[DIMENSION][DIMENSION];// Resultados
	int i,j;
	do {
		printf("%s: ",menu);
		fgets(opcion, 64, stdin);
		switch (toupper(opcion[0])) {
			case 'A':
				printf("\nEscriba la matriz A:\n\n");
				for (i=0; i<DIMENSION; i++)
					for (j=0; j<DIMENSION; j++) {
						printf("A[%d][%d] = ",i,j);
						scanf("%f%*c", &A[i][j]);
					}
				printf("\nEscriba la matriz B:\n\n");
				for (i=0; i<DIMENSION; i++)
					for (j=0; j<DIMENSION; j++) {
						printf("B[%d][%d] = ",i,j);
						scanf("%f%*c", &B[i][j]);
					}
				break;
			case 'B':
				for (i=0; i<DIMENSION; i++)
					for (j=0; j<DIMENSION; j++) {
						C[i][j] = A[i][j] + B[i][j];
						D[i][j] = A[i][j] - B[i][j];
					}
				printf("\n\nSe han efectuado los cálculos\n\n");
				break;
			case 'C':
				printf("\n\nLa suma de estas matrices es:\n\n");
				for (i=0; i<DIMENSION; i++){
					printf("|");
					for (j=0; j<DIMENSION; j++) {
						printf("%4.2f ",A[i][j]);
					}
					printf("|\n");
				}
				printf("\n+\n\n");
				for (i=0; i<DIMENSION; i++){
					printf("|");
					for (j=0; j<DIMENSION; j++) {
						printf("%4.2f ",B[i][j]);
					}
					printf("|\n");
				}
				printf("\n=\n\n");
				for (i=0; i<DIMENSION; i++){
					printf("|");
					for (j=0; j<DIMENSION; j++) {
						printf("%4.2f ",C[i][j]);
					}
					printf("|\n");
				}
				break;
			case 'D':
				printf("\n\nLa resta de estas matrices es:\n\n");
				for (i=0; i<DIMENSION; i++){
					printf("|");
					for (j=0; j<DIMENSION; j++) {
						printf("%4.2f ",A[i][j]);
					}
					printf("|\n");
				}
				printf("\n-\n\n");
				for (i=0; i<DIMENSION; i++){
					printf("|");
					for (j=0; j<DIMENSION; j++) {
						printf("%4.2f ",B[i][j]);
					}
					printf("|\n");
				}
				printf("\n=\n\n");
				for (i=0; i<DIMENSION; i++){
					printf("|");
					for (j=0; j<DIMENSION; j++) {
						printf("%4.2f ",D[i][j]);
					}
					printf("|\n");
				}
				break;
			case 'Q':
				printf("\n\nSaliendo\n\n");
				break;
			default:
				printf("\n\nOpción incorrecta\n\n");
				break;
		}
	} while (toupper(opcion[0])!='Q');
	return 0;
}
