#include <stdio.h>
#include <math.h>

/*
Construir un programa que admita dos vectores de ℜ³ y muestre el producto escalar,
 el productor vectorial, el módulo de los vectores, el coseno del ángulo que forman
y el seno del ángulo que forman.
*/

typedef float vector_r3[3];
typedef float matriz_r3[3][3];

int main (int argc, const char * argv[]) {

	vector_r3 a,b;
	float modulo_a = 0.0, modulo_b = 0.0;
	float modulo_pv = 0.0;
	float producto_escalar = 0.0;
	float coseno = 0.0, seno = 0.0;
	vector_r3 producto_vectorial;
	int i;
	/*
	 Lectura de datos
	 */
	printf("Escriba el vector a: ");scanf("%f %f %f%*c",&a[0], &a[1], &a[2]);
	printf("Escriba el vector b: ");scanf("%f %f %f%*c",&b[0], &b[1], &b[2]);
	/*
	 Cálculos - módulo del primer vector
	*/
	for (i=0; i<3; i++) {
		modulo_a += a[i]*a[i];
	}
	modulo_a = sqrt(modulo_a);
	/*
	 Módulo del segundo vector
	*/
	for (i=0; i<3; i++) {
		modulo_b += b[i]*b[i];
	}
	modulo_b = sqrt(modulo_b);
	/*
	 Producto escalar
	 */
	for (i=0; i<3; i++) {
		producto_escalar += a[i]*b[i];
	}
	/*
	 Coseno
	*/
	coseno = producto_escalar/(modulo_a*modulo_b);
	/*
	 Producto vectorial
	*/
	producto_vectorial[0] = a[1]*b[2] - a[2]*b[1];
	producto_vectorial[1] = a[2]*b[0] - a[0]*b[2];
	producto_vectorial[2] = a[0]*b[1] - a[1]*b[0];
	/*
	 Módulo del producto vectorial
	*/
	for (i=0; i<3; i++) {
		modulo_pv += producto_vectorial[i]*producto_vectorial[i];
	}
	modulo_pv = sqrt(modulo_pv);
	/*
	 Seno
	 */
	seno = modulo_pv/(modulo_a*modulo_b);
	/*
	 Impresión de resultados
	*/
	printf("\n\nvector a: (");
	for (i=0; i<3; i++) {
		printf("%6.2f ",a[i]);
	}
	printf(")\nvector b: (");
	for (i=0; i<3; i++) {
		printf("%6.2f ",b[i]);
	}
	printf(")\n\n");
	printf("Producto escalar: %6.2f\n\n",producto_escalar);
	printf("Producto vectorial axb: (");
	for (i=0; i<3; i++) {
		printf("%6.2f ",producto_vectorial[i]);
	}
	printf(")\n\n");
	printf("Coseno del ángulo que forman: %6.2f\n", coseno);
	printf("Seno del ángulo que forman:   %6.2f\n", seno);
	printf("\n\nTerminación normal del programa.\n\n");
    return 0;
}
