#include <stdio.h>
#include <string.h>

#define FILAS 10
#define COLUMNAS 10

int main(int argc, char * argv[])
{
	float a[FILAS][COLUMNAS], b[FILAS][COLUMNAS];
	int i,j;
	// Damos valor a la matriz a
	for(i=0;i<FILAS;i++) 
	{
		for(j=0;j<COLUMNAS;j++)
		{
			a[i][j] = 10*i+j;
		}
	}
	// La matriz b todavía no tiene valor
	// Mostramos el contenido de la matriz a
	for(i=0;i<FILAS;i++)
	{
		printf("| ");
		for(j=0;j<COLUMNAS;j++)
			printf("%6.2f ", a[i][j]);
		printf("|\n");
	}
	// Vamos a copiar el contenido de a en b. Primero mostramos que b está vacía
	printf("El contenido de b es:\n");
	for(i=0;i<FILAS;i++)
	{
		printf("| ");
		for(j=0;j<COLUMNAS;j++)
			printf("%6.2f ", b[i][j]);
		printf("|\n");
	}
	/*
	 Primer método de copia (empleando iteradores)
	for(i=0;i<FILAS;i++)
		for(j=0;j<COLUMNAS;j++)
			b[i][j] = a[i][j];
	 */
	/*
	 Segundo método de copia. Compacto!
	*/
	memcpy(b,a,FILAS*COLUMNAS*sizeof(float));
	printf("El contenido de b después del segundo método de copia es:\n");
	for(i=0;i<FILAS;i++)
	{
		printf("| ");
		for(j=0;j<COLUMNAS;j++)
			printf("%6.2f ", b[i][j]);
		printf("|\n");
	}
}