#include <stdio.h>
#include <math.h>

/*
Construir un programa que admita dos vectores de ℜ³ y muestre el producto escalar,
 el productor vectorial, el módulo de los vectores, el coseno del ángulo que forman
y el seno del ángulo que forman.
*/

#include "auxiliares.h"

int main (int argc, const char * argv[]) {

	vector_r3 a,b;
	float modulo_a = 0.0, modulo_b = 0.0;
	float modulo_pv = 0.0;
	float producto_escalar = 0.0;
	float coseno = 0.0, seno = 0.0;
	vector_r3 producto_vectorial;
	/*
	 Lectura de datos
	 */
	printf("Vector a - ");leer_vector(a);
	printf("Vector b - ");leer_vector(b);
	/*
	 Cálculos - módulo del primer vector
	*/
	modulo_a = modulo(a);
	/*
	 
	 Módulo del segundo vector
	*/
	modulo_b = modulo(b);
	/*
	 Producto escalar
	 */
	producto_escalar = prod_escalar(a, b);
	/*
	 Coseno
	*/
	coseno = producto_escalar/(modulo_a*modulo_b);
	/*
	 Producto vectorial
	*/
	prod_vectorial(a, b, producto_vectorial);
	/*
	 Módulo del producto vectorial
	*/
	
	modulo_pv = modulo(producto_vectorial);
	/*
	 Seno
	 */
	seno = modulo_pv/(modulo_a*modulo_b);
	/*
	 Impresión de resultados
	*/
	printf("\n\nvector a: ");escribir_vector(a);
	printf("\nvector b: ");escribir_vector(b);
	printf("\n\n");
	printf("Producto escalar: %6.2f\n\n",producto_escalar);
	printf("Producto vectorial axb: ");escribir_vector(producto_vectorial);
	printf("\n\n");
	printf("Coseno del ángulo que forman: %6.2f\n", coseno);
	printf("Seno del ángulo que forman:   %6.2f\n", seno);
	printf("\n\nTerminación normal del programa.\n\n");
    return 0;
}
