#include <stdio.h>
#include <ctype.h>
/*
 Construir un programa que muestre las opciones necesarias para leer una lista de 10
 elementos de tipo int, calcular valores de inters, mostrar valores de inters y
 salir de programa. Los valores de inters de la lista son el mximo, el mnimo y
 el valor medio. El programa debe utilizar funciones y una arquitectura elemental.
 */
#define NUM_ELEMENTOS 10

void leer_lista(int lista[NUM_ELEMENTOS], int num_elementos);
void calcular_extremos(int lista[NUM_ELEMENTOS], int num_elementos, int * maximo, int * minimo, int * media);
void mostrar_resultados(int maximo, int minimo, int media);

int main (int argc, const char * argv[]) {
    char menu[] = "\na) Leer b) Calcular c) Mostrar q) Salir";
	char opcion[64];
	int lista[NUM_ELEMENTOS];
	int max, min, media=0;
	do {
		printf("%s: ",menu);
		fgets(opcion, 64, stdin);
		switch (toupper(opcion[0])) {
			case 'A':leer_lista(lista, NUM_ELEMENTOS);
				break;
			case 'B': calcular_extremos(lista, NUM_ELEMENTOS, &max, &min,&media);
				printf("\n\nSe han efectuado los clculos\n\n");
				break;
			case 'C':
				mostrar_resultados(max, min,media);
				break;
			case 'Q':
				printf("\n\nSaliendo\n\n");
				break;
			default:
				printf("\n\nOpcin incorrecta\n\n");
				break;
		}
	} while (toupper(opcion[0])!='Q');
	system("pause");
    return 0;
}

void leer_lista(int lista[NUM_ELEMENTOS], int num_elementos){
	int i;
	printf("\nEscriba la lista:\n\n");
	for (i=0; i<num_elementos; i++) {
		printf("Elemento n %d: ",i);
		scanf("%d%*c",lista+i);
	}
}
void calcular_extremos(int lista[NUM_ELEMENTOS], int num_elementos, int * maximo, int * minimo, int * media){
	int max, min, ave;
	max = min = lista[0];
	ave = 0.0;
	int i;
	for (i=0; i<num_elementos; i++) {
		if (min < lista[i]) {
			min = lista[i];
		} else if (max>lista[i]) {
			max=lista[i];
		}
		ave+=lista[i];
	}
	ave /= NUM_ELEMENTOS;
	*maximo = max;
	*minimo = min;
	*media = ave;
}
void mostrar_resultados(int maximo, int minimo, int media){
	printf("\nEl valor mnimo es %d\n", minimo);
	printf("\nEl valor mximo es %d\n", maximo);
	printf("\nEl valor medio es  %d\n", media);
}
