#include <stdio.h>
#include <ctype.h>
/*
 Construir un programa que muestre las opciones necesarias para leer dos matrices
 de dimensiones 2x2 (formadas por elementos de tipo float), calcular la suma de las
 matrices, calcular la resta de las matrices, mostrar la suma, mostrar la resta
 y salir de programa.
 */
#define DIM 2

void pedir_matriz(float m[DIM][DIM],int num_filas, int num_cols);
void escribir_matriz(float m[DIM][DIM], int num_filas, int num_cols);
void calcular(float x[DIM][DIM],float y[DIM][DIM],float z[DIM][DIM],float t[DIM][DIM], int filas_y_columnas);

int main (int argc, const char * argv[]) {
    char menu[] = "\na) Leer b) Sumar y Restar c) Ver suma"
	" d) Ver resta q) Salir";
	char opcion[64];
	float a[DIM][DIM], b[DIM][DIM];// Datos
	float c[DIM][DIM], d[DIM][DIM];// Resultados
	do {
		printf("%s: ",menu);
		fgets(opcion, 64, stdin);
		switch (toupper(opcion[0])) {
			case 'A':
				printf("\nEscriba la matriz A:\n\n");pedir_matriz(a, DIM, DIM);
				printf("\nEscriba la matriz B:\n\n");pedir_matriz(b, DIM, DIM);
				break;
			case 'B':
				calcular(a,b,c,d,DIM);
				printf("\n\nSe han efectuado los clculos\n\n");break;
			case 'C':
				printf("\n\nLa suma de estas matrices es:\n\n");
				escribir_matriz(a,DIM, DIM);
				printf("\n+\n\n");
				escribir_matriz(b,DIM, DIM);
				printf("\n=\n\n");
				escribir_matriz(c,DIM,DIM);
				break;
			case 'D':
				printf("\n\nLa resta de estas matrices es:\n\n");
				escribir_matriz(a,DIM, DIM);
				printf("\n-\n\n");
				escribir_matriz(b,DIM, DIM);
				printf("\n=\n\n");
				escribir_matriz(d,DIM,DIM);
				break;
			case 'Q':
				printf("\n\nSaliendo\n\n");break;
			default:
				printf("\n\nOpcin incorrecta\n\n");break;
		}
	} while (toupper(opcion[0])!='Q');
	system("pause");
	return 0;
}

void pedir_matriz(float m[DIM][DIM],int num_filas, int num_cols)
{
	int i,j;
	for (i=0; i<num_filas; i++) {
		for (j=0; j<num_cols;j++) {
			printf("matriz[%d][%d] = ? ",i,j);
			scanf("%f%*c",&m[i][j]);
		}
	}
}
void escribir_matriz(float m[DIM][DIM], int num_filas, int num_cols)
{
	int i,j;
	for (i=0; i<num_filas; i++) {
		printf("| ");
		for (j=0; j<num_cols;j++) {
			printf("%6.2f", m[i][j]);
		}
		printf(" |\n");
	}
}

void calcular(float x[DIM][DIM],float y[DIM][DIM],float z[DIM][DIM],float t[DIM][DIM], int filas_y_columnas)
{
	int i,j;
	for (i=0; i<filas_y_columnas; i++) {
		for (j=0; j<filas_y_columnas; j++) {
			z[i][j] = x[i][j] + y[i][j];
			t[i][j] = x[i][j] - y[i][j];
		}
	}
}
