/*
 *  auxiliares.h
 *  0601_ini_07
 *
 *  Created by coti on 02/11/09.
 *  Copyright 2009 Tests by Coti. All rights reserved.
 *
 */

typedef float vector_3x1[3][1];
typedef float matriz_3x3[3][3];

/*
 Recurdese q MxN x NxP = MxP

 En este no hay problema, son matrices cuadradas de dimensin N
 y el vector es de tambin de dimensin N ( = 3).

 Recurdese tambin la expresin:

        N
       ---
       \
 w  =   >   a   * v
  i    /     ij    j
       ---
     j = 1
 */
void leer_vector(vector_3x1 x);
void escribir_vector(vector_3x1 x);
void leer_matriz(matriz_3x3 m);
void escribir_matriz(matriz_3x3 m);
void calcular(matriz_3x3 X, vector_3x1 y, vector_3x1 z);

